<?php
session_start();
require_once 'config.php';
header('Content-Type: application/json');
if (isset($_SESSION["username"]))
{
   $searchType = $_POST["searchType"];
   $searchField = $_POST["searchField"];

    $conn = dbConn();
    if ($searchType === "dln")
    {
        $stmt = $conn->prepare("SELECT People_name, People_address, People_licence FROM People WHERE People_name LIKE :name OR People_licence = :searchField");
        $name = "%" . $searchField . "%";
        $stmt->bindParam(":name", $name);
    }
    else
    {
        $stmt = $conn->prepare("SELECT P.People_name, Vehicle_type, Vehicle_colour, Vehicle_licence FROM Vehicle LEFT JOIN Ownership O on Vehicle.Vehicle_ID = O.Vehicle_ID LEFT JOIN People P on O.People_ID = P.People_ID WHERE Vehicle_licence = :searchField");
    }

    $stmt->bindParam(":searchField", $searchField);
    $stmt->execute();
    $result = $stmt->fetchAll(PDO::FETCH_ASSOC);

    if (count($result) > 0)
    {
        echo json_encode(array("message" => "ok", "data" => $result));
    }
    else
    {
        echo json_encode(array("message" => "No results found"));
    }

}
else
{
    echo json_encode(array("message" => "Not logged in"));
}